%define name gxine
%define version 0.5.11
%define release %mkrel 2
%define xinever 1.1.6
%define fname %name-%version

Summary: GTK+ frontend for the Xine multimedia player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xine/%{fname}.tar.bz2
Source1: gxine_splash.png
Source2: Gxine.desktop
Patch: gxine-no-gnome-mime-registration.patch
License: GPL
Group: Video
URL: http://xine.sf.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xine-plugins >= %xinever
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: libxine-devel >= %xinever
BuildRequires: libgtk+2.0-devel
BuildRequires: libxaw-devel
BuildRequires: liblirc-devel
BuildRequires: libjs-devel
BuildRequires: libnspr-devel
BuildRequires: desktop-file-utils

%description
This is a graphical frontend for Xine based on the GTK+ toolkit.

%package mozilla
Summary: Xine video player plugin for Mozilla
Group: Video
Requires: %name = %version

%description mozilla
This is a video player plugin for Mozilla and compatible web browsers
based on the Xine engine.

%prep
%setup -q -n %fname
%patch -p1

%build
export LDFLAGS="-L%_prefix/X11R6/lib"
export CPPFLAGS=$(pkg-config --cflags mozilla-nspr)
%configure2_5x --disable-integration-wizard --with-spidermonkey=%_includedir/js-1.70
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -f %buildroot/%_libdir/gxine/*a
mkdir -p %buildroot/%_libdir/mozilla/plugins
mv %buildroot/%_libdir/gxine/gxineplugin.so %buildroot/%_libdir/mozilla/plugins
%find_lang %name
%find_lang %name.theme
cat %name.theme.lang >> %name.lang

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Video;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#custom splash
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/gxine/pixmaps/splash.png
#service menu

install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_datadir/apps/konqueror/servicemenus/Play_DVD_with_Gxine.desktop

%post
%update_desktop_database

%postun
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%_bindir/gxine
%_bindir/gxine_client
%{_datadir}/applications/gxine.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gxine/
%{_datadir}/man/man1/gxine.1.bz2
%{_datadir}/man/man1/gxine_client.1.bz2
%{_datadir}/icons/hicolor/64x64/apps/gxine.png
%lang(de) %{_datadir}/man/de/man1/gxine.1.bz2
%lang(de) %{_datadir}/man/de/man1/gxine_client.1.bz2
%_datadir/apps/konqueror/servicemenus/Play_DVD_with_Gxine.desktop

%files mozilla
%defattr(-,root,root)
%_libdir/mozilla/plugins/gxineplugin.so


%changelog
* Wed Jan 07 2010 Texstar <texstar at gmail.com> 0.5.11-2pclos2010
- rebuild

* Wed May 9 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 0.5.11-1pclos2007
- 0.5.11

* Wed Jan 24 2007 Texstar <texstar@houston.rr.com. 0.5.9-2pclos2007
- add service menu here

* Thu Dec 28 2006 ocilent1 <ocilent1 at gmail dot com> 0.5.9-1pclos2007
- 0.5.9

* Mon Dec 11 2006 Texstar <texstar@houston.rr.com> 0.5.8-2pclos2007
- Build for PCLinuxOS
- Add custom splash
- remove old menu stuff
